Subject: Re: [clisp-list] Bug in hash tables?

From: Michael Graffam <[email-masked]>
Date: Tue Dec 2 14:53:36 2003

I'm running clisp-2.31 on Windows 2000.  When I run the code at the end of
this message, it ends up with some entries in the hash table twice (once
with the value 't' and once with the correct numeric value).  Am I doing
something incorrect or is this a bug in clisp?

I ran the code in CLisp 2.31 on Linux and got:

[2]> (do-hash-test)
ERROR! key 'G11701' occurs multiple times in the hash table!
NIL

whereas, in CMUCL, SBCL and GCL no errors were produced.

Looks like a bug in CLisp.